Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QPomeron.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QPomeron.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QPomeron.cc	(revision 1055)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QPomeron.cc,v 1.2 2006/12/12 11:02:22 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QPomeron.cc,v 1.3 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // ------------------------------------------------------------
@@ -36,5 +36,12 @@
 //   For comparison mirror member functions are taken from G4 class:
 //   G4PomeronCrossSection
-// -----------------------------------------------------------------
+// ------------------------------------------------------------------
+// Short description: Pomeron is one of the possible vacuum pole (the
+// second is Oderon, but they are identical in the present model), by
+// which particle exchang in the ellastic scattering process. Strings,
+// which appear as a cut of the Pomeron (optic theorem connects the
+// amplitude of scattering at zero angle with the total inelastic
+// cross-section), describe most of the processes at high energies.
+// ------------------------------------------------------------------
 
 #include "G4QPomeron.hh"
@@ -42,6 +49,6 @@
 G4QPomeron::G4QPomeron(G4int PDG)
 {
-	 pomeron_Alpha=		1.0808;
-	 pomeron_Alphaprime =	0.25/GeV/GeV;     
+  pomeron_Alpha=  1.0808;
+  pomeron_Alphaprime = 0.25/GeV/GeV;     
   pomeron_Gamma_Hard = 0.0002/GeV/GeV;
   pomeron_Alpha_Hard = 1.47;
@@ -54,5 +61,5 @@
                                                 InitForNucleon();
   else
-		{
+  {
     G4cout<<"-Warning-G4QPomeron is initialised for PDGCode="<<PDG<<" as a pion"<<G4endl;
     InitForPion();
@@ -63,19 +70,19 @@
                                               const G4int nPom)
 {
-	 G4double f=1; if(nPom>1) for(G4int i=2; i<= nPom; i++) f*=i; // Calculate factorial
+  G4double f=1; if(nPom>1) for(G4int i=2; i<= nPom; i++) f*=i; // Calculate factorial
   G4double e=Eikonal(s,imp2); e+=e;                            // Doubled Eikonal
- 	return std::exp(-e)*std::pow(e,nPom)/pomeron_C/f;
+  return std::exp(-e)*std::pow(e,nPom)/pomeron_C/f;
 }
 
 void G4QPomeron::InitForNucleon()
 {
-  // pomeron_S=		3.0*GeV*GeV;  
-	 pomeron_S=		2.7*GeV*GeV;
-  //	pomeron_Gamma=		2.16/GeV/GeV;      // ? M.K.
-  //	pomeron_Gamma=		3.96/GeV/GeV;      // ? M.K.
-	 pomeron_Gamma   =	(2.6+3.96)/GeV/GeV; // ? M.K.
-	 pomeron_C       =	1.4;
-	 pomeron_Rsquare =	3.56/GeV/GeV;
-	 /////pomeron_Alpha=		0.9808;          // This is very strange M.K. (was in GHAD QGSM)
+  // pomeron_S=  3.0*GeV*GeV;  
+  pomeron_S=  2.7*GeV*GeV;
+  // pomeron_Gamma=  2.16/GeV/GeV;      // ? M.K.
+  // pomeron_Gamma=  3.96/GeV/GeV;      // ? M.K.
+  pomeron_Gamma   = (2.6+3.96)/GeV/GeV; // ? M.K.
+  pomeron_C       = 1.4;
+  pomeron_Rsquare = 3.56/GeV/GeV;
+  /////pomeron_Alpha=  0.9808;          // This is very strange M.K. (was in GHAD QGSM)
   // If pomeron_Gamma_Hard!=0 to fit total pp XS use pomeron_Gamma_Soft=2.35/GeV/GeV ? M.K.
 }
@@ -83,27 +90,27 @@
 void G4QPomeron::InitForPion()
 {
-	 pomeron_S       =	1.5*GeV*GeV;
-  //pomeron_Gamma =	1.46/GeV/GeV;  // ? M.K.
-	 pomeron_Gamma   =	2.17/GeV/GeV;  // ? M.K.
-	 pomeron_C       =	1.6;
-	 pomeron_Rsquare =	2.36/GeV/GeV;
+  pomeron_S       = 1.5*GeV*GeV;
+  //pomeron_Gamma = 1.46/GeV/GeV;  // ? M.K.
+  pomeron_Gamma   = 2.17/GeV/GeV;  // ? M.K.
+  pomeron_C       = 1.6;
+  pomeron_Rsquare = 2.36/GeV/GeV;
 }
 
 void G4QPomeron::InitForKaon()
 {
-	 pomeron_S       =	2.3*GeV*GeV;
-  //pomeron_Gamma =	1.31/GeV/GeV;  // ? M.K.
-	 pomeron_Gamma   = 1.92/GeV/GeV;  // ? M.K.
-	 pomeron_C       =	1.8;
-	 pomeron_Rsquare =	1.96/GeV/GeV;
+  pomeron_S       = 2.3*GeV*GeV;
+  //pomeron_Gamma = 1.31/GeV/GeV;  // ? M.K.
+  pomeron_Gamma   = 1.92/GeV/GeV;  // ? M.K.
+  pomeron_C       = 1.8;
+  pomeron_Rsquare = 1.96/GeV/GeV;
 }
 
 void G4QPomeron::InitForGamma()
 {
-	 pomeron_S       =	1.7*GeV*GeV;
-  //pomeron_Gamma =		1.42/GeV/GeV; // ? M.K.
-	 pomeron_Gamma   =	2.07/GeV/GeV;  // ? M.K.
-	 pomeron_C       =	1.7;
-	 pomeron_Rsquare =	2.16/GeV/GeV;
+  pomeron_S       = 1.7*GeV*GeV;
+  //pomeron_Gamma =  1.42/GeV/GeV; // ? M.K.
+  pomeron_Gamma   = 2.07/GeV/GeV;  // ? M.K.
+  pomeron_C       = 1.7;
+  pomeron_Rsquare = 2.16/GeV/GeV;
 }
 
@@ -111,12 +118,12 @@
 {
 
-	G4double sum=1.;
-	G4double current=1.;
-	for(G4int j=2; j<21; j++)
-	{
-		 current *= -z*(j-1)/j/j;
-		 sum+=current;
-	}
-	return sum;
+ G4double sum=1.;
+ G4double current=1.;
+ for(G4int j=2; j<21; j++)
+ {
+   current *= -z*(j-1)/j/j;
+   sum+=current;
+ }
+ return sum;
 }
 
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QSplitter.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QSplitter.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QSplitter.cc	(revision 1055)
@@ -28,12 +28,22 @@
 //
 //
-// $Id: G4QSplitter.cc,v 1.6 2006/11/27 10:44:55 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4QSplitter.cc,v 1.7 2009/02/23 09:49:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //      ---------------- G4QSplitter ----------------
 //             by Mikhail Kossov, August 2005.
 //  class for Hadron-Hadron String Interaction used by the CHIPS Model
-// -------------------------------------------------------------------
- 
+// ----------------------------------------------------==---------------
+// Short description: the hadron befor the interaction must be splitted
+// in partons: quark-antiquark (mesons) or quark-diquark (baryon) parts
+// (some time in more than two parts, e.g. baryon in three quarks or a
+// few quark-antiquark pairs can be added for the splitting). Then each
+// projectile parton can create a parton pair (G4QPartonPair) with the
+// target parton. This pair with the big rapidity difference on the ends
+// creates a planar Quark-Gluon String (a pole). A pair of the projectile
+// partons with a pair of the target partons can create a cylindrical
+// string (doubled string in the algorithm - a cut).  
+// -------------------------------------------------===------------------
+
 //#define chdebug
 //#define debug
@@ -63,5 +73,5 @@
   theWorld= G4QCHIPSWorld::Get();             // Get a pointer to the CHIPS World
 #ifdef debug
-  G4cout<<"-->G4QString::Constr:pPDG="<<projHadron.GetPDGCode()<<",tPDG="<<targPDG<<G4endl;
+  G4cout<<">G4QSplitter::Constr:pPDG="<<projHadron.GetPDGCode()<<",tPDG="<<targPDG<<G4endl;
 #endif
   // Target initialization
@@ -76,5 +86,5 @@
   // Projectile initialization
   theProj4Mom = projHadron.Get4Momentum();
-		G4ThreeVector projBoost = theProj4Mom.boostVector(); // Projectile BoostVector to LS
+  G4ThreeVector projBoost = theProj4Mom.boostVector(); // Projectile BoostVector to LS
   G4ThreeVector projRBoost= -projBoost;       // Projevtile Boost vector to projectile CMS
   G4QPDGCode projQPDG(projHadron.GetPDGCode());
@@ -89,18 +99,18 @@
   G4double tM2 = tM*tM;
   G4double dM2 = fabs(pM2-projM2);
-  if(dM2>1.) G4cout<<"-Warn-G4QS::Constr:dM2="<<dM2<<",M2="<<projM2<<",LVM2="<<pM2<<G4endl;
+  if(dM2>1.)G4cout<<"-Warn-G4QSplit::Con:dM2="<<dM2<<",M2="<<projM2<<",LVM2="<<pM2<<G4endl;
   G4double pM=sqrt(pM2);                     // @@ do we need pM ? @@ (in print)
 
   // === Print out of the input information at Creation time & tot 4-mom Calculation ======
 #ifdef pdebug
-  G4cout<<"G4QS::Cons:PQC="<<theProjQC<<",TQC="<<theTargQC<<",P4Mom="<<theProj4Mom<<
-				theProj4Mom.m2()<<theProj4Mom.m()<<G4endl;
-  G4cout<<"G4QSpl::Constr: tC="<<totCharge<<",tB="<<totBaryNum<<",tot4M="<<tot4Mom<<G4endl;
+  G4cout<<"G4QSplitter::Cons:PQC="<<theProjQC<<",TQC="<<theTargQC<<",P4Mom="<<theProj4Mom<<
+    theProj4Mom.m2()<<theProj4Mom.m()<<G4endl;
+  G4cout<<"G4QSplit::Cons: tC="<<totCharge<<",tB="<<totBaryNum<<",tot4M="<<tot4Mom<<G4endl;
 #endif
   //G4int nP=theWorld->GetQPEntries();       // A#of init'ed particles in CHIPS World (@@?)
   //G4int nCl=nP-90;                          // A#of init'ed clusters in CHIPS World (@@?)
-		//#ifdef pdebug
+  //#ifdef pdebug
   //G4cout<<"G4QS:Const:Before QEX:n="<<nP<<G4endl;
-		//#endif
+  //#endif
   // @@@@@@ ===> Here the Quark Exchange Quasmon Creation must be added <=== @@@@@@
   // @@ --- old ---
@@ -129,5 +139,5 @@
   G4double interc=1.;                        // @@ A parameter ?!
 #ifdef pdebug
-  G4cout<<"G4QSpl::Constr: nP="<<nQProj<<", nT="<<nQTarg<<", intercept="<<interc<<G4endl;
+  G4cout<<"G4QSplit::Constr: nP="<<nQProj<<", nT="<<nQTarg<<", intercept="<<interc<<G4endl;
 #endif
   // @@ Now projectile can be only meson or baryon @@ -- @@ Improve for clusters @@ --
@@ -136,7 +146,7 @@
   G4bool FreeFraF=false;                     // Prototype of the free exchange Flag
   //if(G4UniformRand()<0.) FreeFraF=true;      // @@@@@@@@ Confirm the free exchange
-  if(nQProj<2) G4cout<<"***G4QSpl::Constr: nQProj="<<nQProj<<"<2 ***FatalError***"<<G4endl;
-		else if(nQProj>2)                          // ---> Baryon case (clusters are not implem.)
-		{
+  if(nQProj<2) G4cout<<"***G4QSplitter::C: nQProj="<<nQProj<<"<2 ***FatalError***"<<G4endl;
+  else if(nQProj>2)                          // ---> Baryon case (clusters are not implem.)
+  {
     //if(nQProj>3)G4cout<<"-Wor-G4QS::Const:nQProj="<<nQProj<<">3 is not implem'd"<<G4endl;
     G4double xP=0.;
@@ -146,9 +156,9 @@
       xP=RandomizeMomFractionString(nQProj);
       theWeight*=pow(xP,interc);
-      G4cout<<"************G4QS::C: string xP="<<xP<<G4endl;
+      G4cout<<"************G4QSplitter::C: string xP="<<xP<<G4endl;
     }
     rPMass = sqrt(pM2*(1.-xP));              // Residual Projectile mass
 #ifdef pdebug
-    G4cout<<"G4QS::C: nQProj="<<nQProj<<", xProj="<<xP<<", rPMass="<<rPMass<<G4endl;
+    G4cout<<"G4QSplitter::C: nQProj="<<nQProj<<", xProj="<<xP<<", rPMass="<<rPMass<<G4endl;
 #endif
   }
@@ -161,5 +171,5 @@
   else G4cout<<"*Warning*G4QSplitter::Constr:ProjDecIn2 rpM="<<rPMass<<", pM="<<pM<<G4endl;
 #ifdef pdebug
-  G4cout<<"G4QSpl::Con:"<<projFl<<" split PROJ in R4M="<<pr4Mom<<" & Q4M="<<pq4Mom<<G4endl;
+  G4cout<<"G4QSplit::C:"<<projFl<<" split PROJ in R4M="<<pr4Mom<<" & Q4M="<<pq4Mom<<G4endl;
 #endif
   G4LorentzVector tq4Mom(0.,0.,0.,0.);       // Prototype of LV of quark of the target  
@@ -172,5 +182,5 @@
     xT=RandomizeMomFractionString(nQTarg);
     theWeight*=pow(xT,interc);
-    G4cout<<"************G4QS::C: string xT="<<xT<<G4endl;
+    G4cout<<"************G4QSplitter::Constr: string xT="<<xT<<G4endl;
   }
   G4double rTMass = sqrt(tM2*(1.-xT));       // Residual Target mass
@@ -180,7 +190,7 @@
   G4LorentzVector tr4Mom(0.,0.,0.,rTMass);   // Prototype of LV of the residual projectile
   if(targHadron.DecayIn2(tq4Mom,tr4Mom)) targFl=true; // Targ decay is OK
-  else G4cout<<"**Worning**G4QStr::Constr:TargDecIn2 rtM="<<rTMass<<", tM="<<tM<<G4endl;
-#ifdef pdebug
-  G4cout<<"G4QStr::Con:"<<targFl<<" split TARG in R4M="<<tr4Mom<<" & Q4M="<<tq4Mom<<G4endl;
+  else G4cout<<"**Warning**G4QSplit::Constr:TargDecIn2 rtM="<<rTMass<<", tM="<<tM<<G4endl;
+#ifdef pdebug
+  G4cout<<"G4QSplit::C:"<<targFl<<" split TARG in R4M="<<tr4Mom<<" & Q4M="<<tq4Mom<<G4endl;
 #endif
   G4bool elasFl=false;                       // ByDefault avoid the elastic scattering
@@ -201,13 +211,13 @@
     // @@ Just to try ---- End
 #ifdef pdebug
-    G4cout<<"G4QS::Cons: npM="<<npM<<" <? pM="<<pM<<"+mPi0="<<mPi0<<" = "<<pM+mPi0<<G4endl;
+    G4cout<<"G4QSplit::C:npM="<<npM<<" <? pM="<<pM<<"+mPi0="<<mPi0<<" = "<<pM+mPi0<<G4endl;
 #endif
     if(npM<pM+mPi0) // The projectile is under min mass (@@ In Future put other cut @@)
     {
       G4double valk=tq4Mom.e();         // Momentum of the target quark
-						//#ifdef pdebug
+      //#ifdef pdebug
       G4double dvalk=valk-tq4Mom.rho();
-      if(fabs(dvalk)>.00001) G4cout<<"***kp***G4QS::C:vk="<<valk<<",dvk="<<dvalk<<G4endl;
-						//#endif
+      if(fabs(dvalk)>.00001) G4cout<<"**kp**G4QSplit::C:vk="<<valk<<",dvk="<<dvalk<<G4endl;
+      //#endif
       G4double dmas=pM2-pr4Mom.m2();    // Difference of squared masses
       G4double vale=pr4Mom.e();
@@ -219,5 +229,5 @@
       {
 #ifdef pdebug
-        G4cout<<"***p***>>>G4QS::C: cost="<<cost<<G4endl;
+        G4cout<<"***p***>>>G4QSplitter::Constr: cost="<<cost<<G4endl;
 #endif
         // Get max value of |cos(theta)| and change tq value to get the pM on mass shell
@@ -231,11 +241,11 @@
         }
         else                               // --->>> cost<0.
-								{
+        {
           G4double hvalk=dmas/(vale+valp); // Momentum's too small (must be increased, LIM)
           if(hvalk>tM)                     // Momentum can not be increased to this value
           {
 #ifdef pdebug
-            G4cout<<"**p-Cor**>G4QS::C: hvalk="<<hvalk<<" > tM="<<tM<<", dm="<<dmas<<", e="
-                  <<vale<<", p="<<valp<<", ct="<<cost<<G4endl;
+            G4cout<<"**p-Cor**>G4QSplitter::Constr: hvalk="<<hvalk<<" > tM="<<tM<<", dm="
+                  <<dmas<<", e="<<vale<<", p="<<valp<<", ct="<<cost<<G4endl;
 #endif
             // Put the scatteredProjectile on the massShell, and rescatter the target quark
@@ -248,5 +258,5 @@
           }
           else
-										{
+          {
 #ifdef pdebug
             G4cout<<"***---***>G4QS::C: hvalk="<<hvalk<<" < tM="<<tM<<G4endl;
@@ -284,5 +294,5 @@
       }
 #ifdef pdebug
-      G4cout<<"G4QStr::C: Proj under GS, newP4M="<<newProj4M<<", pq4M="<<pq4Mom<<G4endl;
+      G4cout<<"G4QSplit::C: Proj under GS, newP4M="<<newProj4M<<", pq4M="<<pq4Mom<<G4endl;
 #endif
       pcorFl=true;                           // Projectile is on the GS mass shell
@@ -296,5 +306,5 @@
     //ntM=sqrt(nTM2);
 #ifdef pdebug
-    G4cout<<"G4QStr::C: ntM="<<ntM<<" <? tM="<<tM<<"+mPi0="<<mPi0<<" = "<<tM+mPi0<<G4endl;
+    G4cout<<"G4QSplit::C:ntM="<<ntM<<" <? tM="<<tM<<"+mPi0="<<mPi0<<" = "<<tM+mPi0<<G4endl;
 #endif
     if(ntM<tM+mPi0 && !pcorFl) // The target is under min mass (@@ InFut put another cut@@)
@@ -304,8 +314,8 @@
       pqc4M.boost(projRBoost);             // projectileQuark => projCM system <step2>
       G4double valk=pqc4M.e();             // Momentum of the target quark in projCM
-						//#ifdef pdebug
+      //#ifdef pdebug
       G4double dvalk=valk-pqc4M.rho();
       if(fabs(dvalk)>.00001) G4cout<<"***kt***G4QS::C:vk="<<valk<<",dvk="<<dvalk<<G4endl;
-						//#endif
+      //#endif
       G4double dmas=tM2-tr4Mom.m2();       // Difference of squared masses (targ - targRes)
       G4LorentzVector trc4M=tr4Mom;        // targetResidual => projCM system <step1>
@@ -314,5 +324,5 @@
       G4ThreeVector tr=trc4M.v();          // 3-mom of the targetResidual in projCM
       G4double valp=tr.mag();              // momentum of the targetResidual in projCM
-      if(fabs(dmas-tM2+trc4M.m2())>.1) G4cout<<"**t**G4QS::C: trM2="<<tr4Mom.m2()<<"="
+      if(fabs(dmas-tM2+trc4M.m2())>.1) G4cout<<"**t**G4QSplit::C: trM2="<<tr4Mom.m2()<<"="
                                             <<trc4M.m2()<<","<<vale*vale-valp*valp<<G4endl;
       G4ThreeVector utr=tr/valp;           // Unit vector in the tr direction in projCM
@@ -321,5 +331,5 @@
       {
 #ifdef pdebug
-        G4cout<<"***t***>>>G4QS::C: cost="<<cost<<G4endl;
+        G4cout<<"***t***>>>G4QSplitter::Constr: cost="<<cost<<G4endl;
 #endif
         // Get max value of |cos(theta)| and change pq value to get the tM on mass shell
@@ -337,5 +347,5 @@
         }
         else                                   // --->>> cost<-1 => cost=-1
-								{
+        {
           G4double hvalk=dmas/(vale+valp); // Momentum's too small (must be increased, LIM)
           if(hvalk>pM)                     // Momentum can not be increased to this value
@@ -354,7 +364,7 @@
           }
           else
-										{
-#ifdef pdebug
-            G4cout<<"***---***>G4QS::C: hvalk="<<hvalk<<" < pM="<<pM<<G4endl;
+          {
+#ifdef pdebug
+            G4cout<<"***---***>G4QSplitter::Constr: hvalk="<<hvalk<<" < pM="<<pM<<G4endl;
 #endif
             valk=hvalk/2;                        // Momentum is too small (mustBeIncreased)
@@ -377,5 +387,5 @@
             G4double smo=nTc4M.rho();
             G4cout<<"G4QS::C:qM2="<<pqc4M.m2()<<",rM2="<<trc4M.m2()<<",E="<<sen<<"="<<
-														vale+valk<<",P="<<smo<<"="<<valp-valk<<",M="<<sqrt(sen*sen-smo*smo)<<G4endl;
+              vale+valk<<",P="<<smo<<"="<<valp-valk<<",M="<<sqrt(sen*sen-smo*smo)<<G4endl;
 #endif
             G4LorentzVector prc4M(pM-valk,-pqf); // Fill new 4-mom for projectResid in CM
@@ -386,5 +396,5 @@
         }
         if(fabs(newTarg4M.m()-tM)>.0001)
-          G4cout<<"******************************G4QS::C:"<<newTarg4M.m()<<"="<<pM<<G4endl;
+          G4cout<<"***************G4QSplitter::Constr: M="<<newTarg4M.m()<<"#"<<pM<<G4endl;
       }
       else // -1<cos(theta)<1 - only rotate the projQ
@@ -392,5 +402,5 @@
         // Turn the projectile quark-parton to the target residual in CMS of the Projectile
 #ifdef pdebug
-        G4cout<<"---t--->>>G4QS::C: cost="<<cost<<G4endl;
+        G4cout<<"---t--->>>G4QSplitter::Constr: cost="<<cost<<G4endl;
 #endif
         G4LorentzVector prc4M=pr4Mom;          // projectileQuark => projCM system <step1>
@@ -421,5 +431,5 @@
       }
 #ifdef pdebug
-      G4cout<<"G4QStr::C: Targ under GS, newT4M="<<newTarg4M<<", tq4M="<<tq4Mom<<G4endl;
+      G4cout<<"G4QSplit::C: Targ under GS, newT4M="<<newTarg4M<<", tq4M="<<tq4Mom<<G4endl;
 #endif
       tcorFl=true;                  // Target is on the GS mass shell
@@ -428,5 +438,5 @@
       npM=sqrt(nPM2);
 #ifdef pdebug
-      G4cout<<"G4QStr::C:npM="<<npM<<" <? pM="<<pM<<"+mPi0="<<mPi0<<" = "<<pM+mPi0<<G4endl;
+      G4cout<<"G4QSpl::C:npM="<<npM<<" <? pM="<<pM<<"+mPi0="<<mPi0<<" = "<<pM+mPi0<<G4endl;
 #endif
       if(npM<pM+mPi0) elasFl=true;    // Force elastic scattering (@@InFut putAnotherCut@@)
@@ -437,5 +447,5 @@
       // **** Put the hadrons on the mass shell conserving the CMS scattering angle ****
       G4LorentzVector theTot4M=theProj4Mom+theTarg4Mom;// 4-momentum of CMS of "targ+proj"
-		    G4ThreeVector cmsBoost = theTot4M.boostVector(); // CMS Boost Vector "CMS to LS"
+      G4ThreeVector cmsBoost = theTot4M.boostVector(); // CMS Boost Vector "CMS to LS"
       G4ThreeVector cmsRBoost= -cmsBoost;              // CMS Boost Vector "LS to CMS"
       G4LorentzVector cmsProj4M=theProj4Mom; // LS projectile => CMS <step1>
@@ -447,5 +457,5 @@
       if(fabs(cmsTarg4M.rho()-pcm) > 0.0001)
         G4cout<<"-Worning-G4QSplitter::Constr: P="<<cmsTarg4M.rho()<<"#"<<pcm<<G4endl;
-						//#endif
+      //#endif
       G4LorentzVector cmsNewPr4M=newProj4M;  // LS finalProj => CMS <step1>
       cmsNewPr4M.boost(cmsRBoost);           // LS finalProj => CMS <step2>
@@ -456,6 +466,6 @@
       G4ThreeVector tuV=cmsNewTg4M.v()/cmsNewTg4M.rho(); // Direction of the projectile
       if(1.+puV.dot(tuV) > 0.001)
-        G4cout<<"-Worning-G4QSplitter::Constr: ct="<<puV.dot(tuV)<<G4endl;
-						//#endif
+        G4cout<<"-Warning-G4QSplitter::Constr: ct="<<puV.dot(tuV)<<G4endl;
+      //#endif
       cmsProj4M.setV(puV*pcm);
       newProj4M=cmsProj4M;
@@ -494,5 +504,5 @@
         theQHadrons.push_back(targH);        // Fill the Target Hadron (delete equivalent)
       }
-						else                                   // Both are excited (two Quasmons only) 
+      else                                   // Both are excited (two Quasmons only) 
       {
         G4Quasmon* projQ = new G4Quasmon(projHadron.GetQC(),newProj4M);
@@ -503,5 +513,5 @@
     }
   }
-  else G4cout<<"-Wor-G4QSplitter::Constr:T="<<targFl<<" or P="<<projFl<<" err"<<G4endl;
+  else G4cout<<"-Warning-G4QSplitter::Constr:T="<<targFl<<" or P="<<projFl<<" err"<<G4endl;
 #ifdef pdebug
   G4cout<<"G4QSplitter::Constructor: *** End of Constructor ***, elF="<<elasFl<<G4endl;
@@ -523,18 +533,18 @@
     finBaryoN+=theQuasmons[iq]->GetBaryonNumber();
   }
-  G4cout<<"G4QStr::C:nH="<<nHad<<",nQ="<<nQuas<<",C="<<finCharge<<",B="<<finBaryoN<<G4endl;
+  G4cout<<"G4QSpl::C:nH="<<nHad<<",nQ="<<nQuas<<",C="<<finCharge<<",B="<<finBaryoN<<G4endl;
   if(finCharge!=totCharge || finBaryoN!=totBaryNum)
   {
-    G4cerr<<"***G4QStr::C:tC="<<totCharge<<",C="<<finCharge<<",tB="<<totBaryNum
+    G4cerr<<"***G4QSptitter::C:tC="<<totCharge<<",C="<<finCharge<<",tB="<<totBaryNum
           <<",B="<<finBaryoN<<G4endl;
     if(nHad) for(G4int h=0; h<nHad; h++)
     {
       G4QHadron* cH = theQHadrons[h];
-      G4cerr<<"::G4QS::C:h#"<<h<<",QC="<<cH->GetQC()<<",PDG="<<cH->GetPDGCode()<<G4endl;
+      G4cerr<<"G4QSplit::C: h#"<<h<<",QC="<<cH->GetQC()<<",PDG="<<cH->GetPDGCode()<<G4endl;
     }
     if(nQuas) for(G4int q=0; q<nQuas; q++)
     {
       G4Quasmon* cQ = theQuasmons[q];
-      G4cerr<<"::G4QS::C:q#"<<q<<",C="<<cQ->GetCharge()<<",QuarkCon="<<cQ->GetQC()<<G4endl;
+      G4cerr<<"G4QSplit::C: q#"<<q<<",C="<<cQ->GetCharge()<<",QCont="<<cQ->GetQC()<<G4endl;
     }
   }
@@ -550,5 +560,5 @@
     G4Quasmon* curQ    = new G4Quasmon(right.theQuasmons[iq]);
 #ifdef fdebug
-    G4cout<<"G4QS::CopyByVal:Q#"<<iq<<","<<curQ->GetQC()<<curQ->Get4Momentum()<<G4endl;
+    G4cout<<"G4QSplit::CopyByVal:Q#"<<iq<<","<<curQ->GetQC()<<curQ->Get4Momentum()<<G4endl;
 #endif
     theQuasmons.push_back(curQ);             // (delete equivalent)
@@ -563,7 +573,7 @@
   
   theWorld        =  right.theWorld; 
-		tot4Mom         =	 right.tot4Mom;
-		totCharge       =	 right.totCharge;
-		totBaryNum      =	 right.totBaryNum;
+  tot4Mom         =  right.tot4Mom;
+  totCharge       =  right.totCharge;
+  totBaryNum      =  right.totBaryNum;
 }
 
@@ -581,5 +591,5 @@
       G4Quasmon* curQ    = new G4Quasmon(right.theQuasmons[iq]);
 #ifdef fdebug
-      G4cout<<"G4QS::CopyByVal:Q#"<<iq<<","<<curQ->GetQC()<<curQ->Get4Momentum()<<G4endl;
+      G4cout<<"G4QSpl::CopyByVal:Q#"<<iq<<","<<curQ->GetQC()<<curQ->Get4Momentum()<<G4endl;
 #endif
       theQuasmons.push_back(curQ);             // (delete equivalent)
@@ -594,7 +604,7 @@
   
     theWorld        =  right.theWorld; 
-		  tot4Mom         =	 right.tot4Mom;
-		  totCharge       =	 right.totCharge;
-		  totBaryNum      =	 right.totBaryNum;
+    tot4Mom         =  right.tot4Mom;
+    totCharge       =  right.totCharge;
+    totBaryNum      =  right.totBaryNum;
   }
   return *this;
@@ -609,5 +619,5 @@
     G4Quasmon* curQ    = new G4Quasmon(right->theQuasmons[iq]);
 #ifdef fdebug
-    G4cout<<"G4QS::CopyByPoint:Q#"<<iq<<","<<curQ->GetQC()<<curQ->Get4Momentum()<<G4endl;
+    G4cout<<"G4QSpl::CopyByPoint:Q#"<<iq<<","<<curQ->GetQC()<<curQ->Get4Momentum()<<G4endl;
 #endif
     theQuasmons.push_back(curQ);             // (delete equivalent)
@@ -622,7 +632,7 @@
   
   theWorld        =  right->theWorld; 
-		tot4Mom         =	 right->tot4Mom;
-		totCharge       =	 right->totCharge;
-		totBaryNum      =	 right->totBaryNum;
+  tot4Mom         =  right->tot4Mom;
+  totCharge       =  right->totCharge;
+  totBaryNum      =  right->totBaryNum;
 }
 
@@ -657,5 +667,5 @@
 G4QHadronVector* G4QSplitter::Fragment()
 {//              ========================== -- @@ Must be changed @@ --
-		// Make the final check before filling the output -- @@ Must be changed @@ --
+  // Make the final check before filling the output -- @@ Must be changed @@ --
 #ifdef chdebug
   G4int fCharge=0;
@@ -774,5 +784,5 @@
   // @@ TMP --- Begin ---
   if(2>1)
-		{
+  {
     if(nPart<2)
     {
@@ -785,6 +795,6 @@
     if(r==0.) return 0.;
     if(r==1.) return 1.;
-		  if     (nPart==3) x=r;          // GS baryon
-		  else if(nPart==4) x=1.-sqrt(r); // GS quaternion
+    if     (nPart==3) x=r;          // GS baryon
+    else if(nPart==4) x=1.-sqrt(r); // GS quaternion
     else x=1.-pow(r,1./(nPart-2.)); // nPart>4
     return x;
@@ -802,7 +812,7 @@
   if(r==0.) return 0.;
   if(r==1.) return 1.;
-		if(nPart==3) x=sqrt(r);      // GS baryon
-		else if(nPart==4)            // GS quaternion
-		{
+  if(nPart==3) x=sqrt(r);      // GS baryon
+  else if(nPart==4)            // GS quaternion
+  {
     if    (r==0.5) x=0.5;
     else if(r<0.5) x=sqrt(r+r)*(.5+.1579*(r-.5));
@@ -810,5 +820,5 @@
   }
   else
-		{
+  {
     G4int n1=nPart-2;
     G4double r1=n1;
@@ -819,13 +829,13 @@
     if  (r==rr)  x=p2;
     else
-				{
+    {
       if(r<rr)
       {
-								G4double pr=0.;
-								G4double pra=0.;
+        G4double pr=0.;
+        G4double pra=0.;
         if(nPart>8)
-								{
+        {
           if(nPart>10)
-								  {
+          {
             if(nPart>11)                      // >11
             {
@@ -833,5 +843,5 @@
               pra=.915/pow((nPart+6.7),1.75);
             }
-												else                              // 11
+            else                              // 11
             {
               pr=.09945;
@@ -840,5 +850,5 @@
           }
           else
-								  {
+          {
             if(nPart>9)                       // 10
             {
@@ -846,5 +856,5 @@
               pra=.00741;
             }
-												else                              // 9
+            else                              // 9
             {
               pr=.11425;
@@ -854,7 +864,7 @@
         }
         else
-								{
+        {
           if(nPart>6)
-								  {
+          {
             if(nPart>7)                       // 8
             {
@@ -862,5 +872,5 @@
               pra=.00926;
             }
-												else                              // 7
+            else                              // 7
             {
               pr=.13405;
@@ -869,5 +879,5 @@
           }
           else
-								  {
+          {
             if(nPart>5)                       // 6
             {
@@ -875,5 +885,5 @@
               pra=.01112;
             }
-												else                              // 5
+            else                              // 5
             {
               pr=.15765;
@@ -886,29 +896,29 @@
       else
       {
-								G4double sr=0.;
+        G4double sr=0.;
         if(nPart>8)
-								{
+        {
           if(nPart>10)
-								  {
+          {
             if(nPart>11) sr=.86/(nPart+1.05); // >11
-												else         sr=.0774;            // 11
+            else         sr=.0774;            // 11
           }
           else
-								  {
+          {
             if(nPart>9) sr=.0849;             // 10
-												else        sr=.0938;             // 9
+            else        sr=.0938;             // 9
           }
         }
         else
-								{
+        {
           if(nPart>6)
-								  {
+          {
             if(nPart>7) sr=.1047;             // 8
-												else        sr=.1179;             // 7
+            else        sr=.1179;             // 7
           }
           else
-								  {
+          {
             if(nPart>5) sr=.1339;             // 6
-												else        sr=.15135;            // 5
+            else        sr=.15135;            // 5
           }
         }
@@ -933,6 +943,6 @@
   if(r==0.) return 0.;
   if(r==1.) return 1.;
-		if     (nPart==3) x=r;          // GS baryon
-		else if(nPart==4) x=1.-sqrt(r); // GS quaternion
+  if     (nPart==3) x=r;          // GS baryon
+  else if(nPart==4) x=1.-sqrt(r); // GS quaternion
   else x=1.-pow(r,1./(nPart-2.)); // nPart>4
   return x;
